net.fortuna.ical4j.model

## Class NumberList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList
      - - net.fortuna.ical4j.model.NumberList

All Implemented Interfaces:
  Serializable, Cloneable, Iterable, Collection, List, RandomAccess

    public class NumberList
    extends ArrayList
    implements Serializable

$Id$ [29-May-2004] Defines a list of numbers.

Author:
  Ben Fortuna
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`NumberList()` Default constructor.
`NumberList(int minValue, int maxValue, boolean allowsNegativeValues)` Constructor with limits.
`NumberList(String aString)` Constructor.
`NumberList(String aString, int minValue, int maxValue, boolean allowsNegativeValues)`

### Method Summary

Methods
`boolean` `add(Integer aNumber)`
`boolean` `add(Object arg0)` Overrides superclass to throw an `IllegalArgumentException` where argument is not a `java.lang.Integer`.
`boolean` `remove(Integer aNumber)`
`String` `toString()`

### Methods inherited from class java.util.ArrayList

`add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeRange, retainAll, set, size, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

### Constructor Detail

#### NumberList

    public NumberList()

Default constructor.

#### NumberList

    public NumberList(int minValue,
              int maxValue,
              boolean allowsNegativeValues)

Constructor with limits.

Parameters:
  `minValue` - the minimum allowable value
  `maxValue` - the maximum allowable value
  `allowsNegativeValues` - indicates whether negative values are allowed

#### NumberList

    public NumberList(String aString)

Constructor.

Parameters:
  `aString` - a string representation of a number list

#### NumberList

    public NumberList(String aString,
              int minValue,
              int maxValue,
              boolean allowsNegativeValues)

Parameters:
  `aString` - a string representation of a number list
  `minValue` - the minimum allowable value
  `maxValue` - the maximum allowable value
  `allowsNegativeValues` - indicates whether negative values are allowed

### Method Detail

#### add

    public final boolean add(Integer aNumber)

Parameters:
  `aNumber` - a number to add to the list
Returns:
  true if the number was added, otherwise false

#### add

    public final boolean add(Object arg0)

Overrides superclass to throw an `IllegalArgumentException` where argument is not a `java.lang.Integer`.

Specified by:
  `add` in interface `Collection`
Specified by:
  `add` in interface `List`
Overrides:
  `add` in class `ArrayList`
Parameters:
  `arg0` - an object to add
Returns:
  true if the object was added, otherwise false
See Also:
  `List.add(Object)`

#### remove

    public final boolean remove(Integer aNumber)

Parameters:
  `aNumber` - a number to remove from the list
Returns:
  true if the number was removed, otherwise false

#### toString

    public final String toString()

Overrides:
  `toString` in class `AbstractCollection`